a.filetype {
    display: flex;
    align-items: center;
    text-decoration: none;
    &:before {
        content: "";
        display: block;
        .flex-item_0;
        .mr_s;
        width: @icon-size*2;
        height: @icon-size*2;
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
    }
    &[href$="csv"]:before {
        background-image: url("%=static=%assets/gui/filetypes/csv.svg");
    }
    &[href$="doc"]:before,
    &[href$="docx"]:before {
        background-image: url("%=static=%assets/gui/filetypes/doc.svg");
    }
    &[href$="jpg"]:before,
    &[href$="jpeg"]:before {
        background-image: url("%=static=%assets/gui/filetypes/jpg.svg");
    }
    &[href$="pdf"]:before {
        background-image: url("%=static=%assets/gui/filetypes/pdf.svg");
    }
    &[href$="png"]:before {
        background-image: url("%=static=%assets/gui/filetypes/png.svg");
    }
    &[href$="ppt"]:before,
    &[href$="pptx"]:before {
        background-image: url("%=static=%assets/gui/filetypes/ppt.svg");
    }
    &[href$="txt"]:before {
        background-image: url("%=static=%assets/gui/filetypes/txt.svg");
    }
    &[href$="xls"]:before,
    &[href$="xlsx"]:before {
        background-image: url("%=static=%assets/gui/filetypes/xls.svg");
    }
    &[href$="xml"]:before {
        background-image: url("%=static=%assets/gui/filetypes/xml.svg");
    }
    &[href$="zip"]:before,
    &[href$="rar"]:before,
    &[href$="7z"]:before {
        background-image: url("%=static=%assets/gui/filetypes/zip.svg");
    }
}
